package com.unis.core.config.log;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author ybw
 * @version V1.0
 * @className LogMapperConfit
 * @date 2024/7/17
 **/
@Configuration
@ConfigurationProperties("log.mapper")
@Data
public class LogMapperConfig {
    /**
     * 项目根package
     *
     * @author: ybw
     * @date: 2024/7/17
     **/
    private String basePackage;
    /**
     * 要查询的package的关键字
     *
     * @author: ybw
     * @date: 2024/7/17
     **/
    private String packageKeyword;
}
